diff --git a/doc/src/sgml/custom-rmgr.sgml b/doc/src/sgml/custom-rmgr.sgml
index acf5077d75..b6d073f926 100644
--- a/doc/src/sgml/custom-rmgr.sgml
+++ b/doc/src/sgml/custom-rmgr.sgml
@@ -66,7 +66,7 @@ typedef struct RmgrData
  * Register a new custom WAL resource manager.
  *
  * Resource manager IDs must be globally unique across all extensions. Refer
- * to https://wiki.postgresql.org/wiki/CustomWALResourceManager to reserve a
+ * to https://wiki.postgresql.org/wiki/CustomWALResourceManagers to reserve a
  * unique RmgrId for your extension, to avoid conflicts with other extension
  * developers. During development, use RM_EXPERIMENTAL_ID to avoid needlessly
  * reserving a new ID.
@@ -76,7 +76,7 @@ extern void RegisterCustomRmgr(RmgrId rmid, RmgrData *rmgr);
   <function>RegisterCustomRmgr</function> must be called from the
   extension module's <link linkend="xfunc-c-dynload">_PG_init</link> function.
   While developing a new extension, use <literal>RM_EXPERIMENTAL_ID</literal>
-  for <parameter>rmid</parameter>. When you ready to release the extension to
+  for <parameter>rmid</parameter>. When you are ready to release the extension to
   users, reserve a new resource manager ID at the <ulink
   url="https://wiki.postgresql.org/wiki/CustomWALResourceManagers">Custom WAL
   Resource Manager</ulink> page.
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index e82077292c..b2bdbc7d1c 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -25554,7 +25554,7 @@ SELECT collation for ('foo' COLLATE "de_DE");
         will be logged at
         <literal>LOG</literal> message level. They will appear in
         the server log based on the log configuration set
-        (See <xref linkend="runtime-config-logging"/> for more information),
+        (see <xref linkend="runtime-config-logging"/> for more information),
         but will not be sent to the client regardless of
         <xref linkend="guc-client-min-messages"/>.
        </para></entry>
diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index 77be4c37e7..e98538e540 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -688,18 +688,18 @@ test_sub=# SELECT * FROM t3;
     <itemizedlist>
      <listitem>
       <para>
-       one of the publications has no row filter.
+       One of the publications has no row filter.
       </para>
      </listitem>
      <listitem>
       <para>
-       one of the publications was created using <literal>FOR ALL TABLES</literal>.
+       One of the publications was created using <literal>FOR ALL TABLES</literal>.
        This clause does not allow row filters.
       </para>
      </listitem>
      <listitem>
       <para>
-       one of the publications was created using
+       One of the publications was created using
        <literal>FOR TABLES IN SCHEMA</literal> and the table belongs to
        the referred schema. This clause does not allow row filters.
       </para>
diff --git a/src/backend/access/transam/rmgr.c b/src/backend/access/transam/rmgr.c
index 8ed69244e3..3b6de3aa04 100644
--- a/src/backend/access/transam/rmgr.c
+++ b/src/backend/access/transam/rmgr.c
@@ -89,7 +89,7 @@ RmgrNotFound(RmgrId rmid)
  * Register a new custom WAL resource manager.
  *
  * Resource manager IDs must be globally unique across all extensions. Refer
- * to https://wiki.postgresql.org/wiki/CustomWALResourceManager to reserve a
+ * to https://wiki.postgresql.org/wiki/CustomWALResourceManagers to reserve a
  * unique RmgrId for your extension, to avoid conflicts with other extension
  * developers. During development, use RM_EXPERIMENTAL_ID to avoid needlessly
  * reserving a new ID.
